FAMD(8)

NAME
famd - The File Alteration Monitor (FAM) daemon

SYNOPSIS
famd [-CdflLv] [-C conffile] [-p prog.vers] [-t period] [-T timeout]

DESCRIPTION
FAM, the File Alteration Monitor, is a subsystem that applications can use to be notified when specific files or directories are changed. It is intended as a replacement for mechanisms such as poll and select.

FAM comes in two parts: famd, the daemon that listens for requests and provides notifications, and libfam a library that client applications can use to communicate with FAM. For further information on libfam, see the fam(3) manual page.

famd is normally started by an Internet superserver such as inetd or xinetd, but can also be started independently. Only one instance of famd can be run at a time.

famd can be configured by editing the famd configuration file (see famd.conf(5) for further details) or by providing the following command line options:

OPTIONS

-c conffile
    Read configuration information from conffile.

-C  Run in backwards compatibilty mode. This is disables authentication and is not recommended.

-f  Run in the foreground.

-v  Enable verbose messages.

-d  Enable verbose messages and debug messages.

-l  Disable polling of files on remote NFS servers.

-L  Only accept connections from local clients.

-p prog.vers
    Register with the portmapper using the specifed RPC program and version numbers.

-t period
    Poll a remove NFS server every period seconds to obtain file updates if the remove server is not running famd.

-T timeout
    Exit timeout seconds after the last client disconnects. A value of 0 causes famd to run forever.

SECURITY
famd never opens the files it's monitoring, and only monitors files that the client can stat.

FILES

/usr/local/etc/famd.conf
    Default famd configuration file.

SEE ALSO
fam(3), famd.conf(5), inetd(8), portmap(8), stat(1), xinetd(8)

BUGS